Sample Code 0.1 20120518

- Main Page
- Classes
- Files

- File List
- File Members

Functions
class.lua File Reference

enables classes in lua More...

Go to the source code of this file.

## Functions

function | class (BaseClass, ClassInitialiser)
| ``declare'' as class

## Detailed Description

enables classes in lua

Definition in file class.lua.

## Function Documentation

function class | ( | BaseClass | ,
|  | ClassInitialiser |
| ) |  |

``declare'' as class

use as:

TWibble = class()
function TWibble.init(instance)
self.instance = instance
-- more stuff here
end

Definition at line 36 of file class.lua.